Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.bytecode.opencsv
Class CSVReader

    java.lang.Object
      au.com.bytecode.opencsv.CSVReader

public class CSVReader
extends java.lang.Object

A very simple CSV reader released under a commercial-friendly license.

Author:
  Glen Smith

Field Summary
`static char` | `DEFAULT_QUOTE_CHARACTER` The default quote character to use if none is supplied to the constructor.
`static char` | `DEFAULT_SEPARATOR` The default separator to use if none is supplied to the constructor.
`static int` | `DEFAULT_SKIP_LINES` The default line to start reading.

Constructor Summary
`CSVReader(java.io.Reader reader)` Constructs CSVReader using a comma for the separator.
`CSVReader(java.io.Reader reader, char separator)` Constructs CSVReader with supplied separator.
`CSVReader(java.io.Reader reader, char separator, char quotechar)` Constructs CSVReader with supplied separator and quote char.
`CSVReader(java.io.Reader reader, char separator, char quotechar, int line)` Constructs CSVReader with supplied separator and quote char.

Method Summary
`void` | `close()` Closes the underlying reader.
`java.util.List` | `readAll()` Reads the entire file into a List with each element being a String[] of tokens.
`java.lang.String[]` | `readNext()` Reads the next line from the buffer and converts to a string array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SEPARATOR

    public static final char DEFAULT_SEPARATOR

  The default separator to use if none is supplied to the constructor.

  See Also:
    Constant Field Values

### DEFAULT_QUOTE_CHARACTER

    public static final char DEFAULT_QUOTE_CHARACTER

  The default quote character to use if none is supplied to the constructor.

  See Also:
    Constant Field Values

### DEFAULT_SKIP_LINES

    public static final int DEFAULT_SKIP_LINES

  The default line to start reading.

  See Also:
    Constant Field Values

Constructor Detail

### CSVReader

    public CSVReader(java.io.Reader reader)

  Constructs CSVReader using a comma for the separator.

Parameters:
  `reader` - the reader to an underlying CSV source.

### CSVReader

    public CSVReader(java.io.Reader reader,
                     char separator)

  Constructs CSVReader with supplied separator.

Parameters:
  `reader` - the reader to an underlying CSV source.
  `separator` - the delimiter to use for separating entries.

### CSVReader

    public CSVReader(java.io.Reader reader,
                     char separator,
                     char quotechar)

  Constructs CSVReader with supplied separator and quote char.

Parameters:
  `reader` - the reader to an underlying CSV source.
  `separator` - the delimiter to use for separating entries
  `quotechar` - the character to use for quoted elements

### CSVReader

    public CSVReader(java.io.Reader reader,
                     char separator,
                     char quotechar,
                     int line)

  Constructs CSVReader with supplied separator and quote char.

Parameters:
  `reader` - the reader to an underlying CSV source.
  `separator` - the delimiter to use for separating entries
  `quotechar` - the character to use for quoted elements
  `line` - the line number to skip for start reading

Method Detail

### readAll

    public java.util.List readAll()
                           throws java.io.IOException

  Reads the entire file into a List with each element being a String[] of tokens.

  Returns:
    a List of String[], with each String[] representing a line of the file.
  Throws:
    `java.io.IOException` - if bad things happen during the read

### readNext

    public java.lang.String[] readNext()
                                throws java.io.IOException

  Reads the next line from the buffer and converts to a string array.

  Returns:
    a string array with each comma-separated element as a separate entry.
  Throws:
    `java.io.IOException` - if bad things happen during the read

### close

    public void close()
               throws java.io.IOException

  Closes the underlying reader.

  Throws:
    `java.io.IOException` - if the close fails

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Bytecode Pty Ltd.